### File

`packages/ecl/components/ecl-pagination/events/ecl-pagination.event.ts`

### Description

Event emitted by EclPaginationComponent when the page changes. Contains information about the current page and visible item range.

### Extends

`EclBaseEvent`

### Index

###### Properties
Public Readonly page Public Readonly showingFrom Public Readonly showingTo
###### Methods
preventDefault

### Constructor

`constructor(page: number, showingFrom: number, showingTo: number)`
Current page number after the change. Parameters :
Name | Type | Optional
page | `number` | No
showingFrom | `number` | No
showingTo | `number` | No

### Properties

Public Readonly page
Type : `number`

Public Readonly showingFrom
Type : `number`
Index of the first item shown on the current page.

Public Readonly showingTo
Type : `number`
Index of the last item shown on the current page.

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""